import { createStore } from 'vuex'
import {getUserInfo} from '@/utils/userInfo'
export default createStore({
  state: {
    routerList:[],
    userInfo:{}
  },
  getters: {
    getUserInfo (state){
      const userInfo:any =getUserInfo()
      state.userInfo = JSON.parse(userInfo)
      return state.userInfo
    },
  },
  mutations: {
    setRoutet (state,list:any) {
      state.routerList = list
    },
  },
  actions: {
  },
  modules: {
  }
})
